class_name PouvoirFeu
extends PouvoirBase
## Pouvoir qui rend les balles enflammees


func declencher_pouvoir(arbre_scene: SceneTree) -> void:
	for balle in arbre_scene.get_nodes_in_group("groupe_des_balles"):
		assert(balle is Balle, "Le groupe_des_balles ne doit contenir que des Balle !")
		BalleDeFeu.transformer(balle)


func couleur_principale() -> Color:
	return Color.RED
